png++: png::basic_pixel_traits< pixel, component, pixel_color_type, channels_value, bit_depth_value > Struct Template Reference

png++ 0.2.10

Public Types | Static Public Member Functions | Static Public Attributes | List of all members
png::basic_pixel_traits< pixel, component, pixel_color_type, channels_value, bit_depth_value > Struct Template Reference

Basic pixel traits class template. More...

`#include <pixel_traits.hpp>`

## Public Types
typedef pixel | pixel_type
typedef component | component_type

## Static Public Member Functions
static color_type | get_color_type ()
static int | get_channels ()
static int | get_bit_depth ()

## Static Public Attributes
static const int | channels = channels_value
static const int | bit_depth = bit_depth_value

## Detailed Description

### template<typename pixel, typename component, color_type pixel_color_type, int channels_value = sizeof(pixel) / sizeof(component), int bit_depth_value = std::numeric_limits< component >::digits>
struct png::basic_pixel_traits< pixel, component, pixel_color_type, channels_value, bit_depth_value >

Basic pixel traits class template.

Provides common implementation for various pixel_traits<> specializations.

## Member Typedef Documentation

## ◆ pixel_type

template<typename pixel , typename component , color_type pixel_color_type, int channels_value = sizeof(pixel) / sizeof(component), int bit_depth_value = std::numeric_limits< component >::digits>

typedef pixel png::basic_pixel_traits< pixel, component, pixel_color_type, channels_value, bit_depth_value >::pixel_type

## ◆ component_type

template<typename pixel , typename component , color_type pixel_color_type, int channels_value = sizeof(pixel) / sizeof(component), int bit_depth_value = std::numeric_limits< component >::digits>

typedef component png::basic_pixel_traits< pixel, component, pixel_color_type, channels_value, bit_depth_value >::component_type

## Member Function Documentation

## ◆ get_color_type()

template<typename pixel , typename component , color_type pixel_color_type, int channels_value = sizeof(pixel) / sizeof(component), int bit_depth_value = std::numeric_limits< component >::digits>

static color_type png::basic_pixel_traits< pixel, component, pixel_color_type, channels_value, bit_depth_value >::get_color_type | ( |  | ) |
| inlinestatic

## ◆ get_channels()

template<typename pixel , typename component , color_type pixel_color_type, int channels_value = sizeof(pixel) / sizeof(component), int bit_depth_value = std::numeric_limits< component >::digits>

static int png::basic_pixel_traits< pixel, component, pixel_color_type, channels_value, bit_depth_value >::get_channels | ( |  | ) |
| inlinestatic

## ◆ get_bit_depth()

template<typename pixel , typename component , color_type pixel_color_type, int channels_value = sizeof(pixel) / sizeof(component), int bit_depth_value = std::numeric_limits< component >::digits>

static int png::basic_pixel_traits< pixel, component, pixel_color_type, channels_value, bit_depth_value >::get_bit_depth | ( |  | ) |
| inlinestatic

## Member Data Documentation

## ◆ channels

template<typename pixel , typename component , color_type pixel_color_type, int channels_value = sizeof(pixel) / sizeof(component), int bit_depth_value = std::numeric_limits< component >::digits>

const int png::basic_pixel_traits< pixel, component, pixel_color_type, channels_value, bit_depth_value >::channels = channels_value
| static

Referenced by png::basic_pixel_traits< basic_rgba_pixel< T >, T, color_type_rgba >::get_channels().

## ◆ bit_depth

template<typename pixel , typename component , color_type pixel_color_type, int channels_value = sizeof(pixel) / sizeof(component), int bit_depth_value = std::numeric_limits< component >::digits>

const int png::basic_pixel_traits< pixel, component, pixel_color_type, channels_value, bit_depth_value >::bit_depth = bit_depth_value
| static

Referenced by png::basic_pixel_traits< basic_rgba_pixel< T >, T, color_type_rgba >::get_bit_depth().

The documentation for this struct was generated from the following file:

- pixel_traits.hpp